Package com.sas.lsaf.workflow.autoflow

## Interface AutoFlowLaunchable

- All Superinterfaces:
    `Identifiable`, `java.io.Serializable`
  All Known Implementing Classes:
    `Tlf`

      public interface AutoFlowLaunchable
      extends Identifiable

  The interface that a source object must implement to automatically create process flows from the source object.
  Since:
    2.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `autoFlowEnabled()` | Gets whether a process flow can be automatically created from the source.
    `java.util.List<AttributeValue>` | `getAttributes()` | Gets the attributes of the source object from which a process flow is automatically created.
    `AutoFlowType` | `getAutoFlowType()` | Gets the type of the source object from which a process flow is automatically created.
    `java.lang.String` | `getIdentifier()` | Gets the identifier of the source object from which a process flow is automatically created.
    `java.lang.String` | `getName()` | Gets the name of the source object from which a process flow is automatically created.

    - ### Methods inherited from interface com.sas.lsaf.core.Identifiable

      `getId, getTypeId`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Gets the name of the source object from which a process flow is automatically created.
      Returns:
        The name of the source object.

    - #### getIdentifier

          java.lang.String getIdentifier()

      Gets the identifier of the source object from which a process flow is automatically created.
      Returns:
        The identifier of the source object.

    - #### getAttributes

          java.util.List<AttributeValue> getAttributes()

      Gets the attributes of the source object from which a process flow is automatically created.
      Returns:
        The attributes.

    - #### getAutoFlowType

          AutoFlowType getAutoFlowType()

      Gets the type of the source object from which a process flow is automatically created.
      Returns:
        The type.

    - #### autoFlowEnabled

          boolean autoFlowEnabled()

      Gets whether a process flow can be automatically created from the source.
      Returns:
        Whether a process flow can be automatically.